LASi::setFontSize Class Reference

stream manipulator applied to oPostscriptStream. More...

`#include <LASi.h>`

## Public Member Functions

| setFontSize (double size)
| Usage: os << setFontSize(12) << ... More...

## Protected Member Functions

void | apply (oPostscriptStream &os) const

## Friends

oPostscriptStream & | operator<< (oPostscriptStream &os, const setFontSize &x)
| Stream inserter for 'setFontSize' stream manipulator. More...

## Detailed Description

stream manipulator applied to oPostscriptStream.

## Constructor & Destructor Documentation

## setFontSize()

LASi::setFontSize::setFontSize | ( | double | size | ) |

inline

Usage: os << setFontSize(12) << ...

Parameters

  size | size in points

## Member Function Documentation

## apply()

void LASi::setFontSize::apply | ( | oPostscriptStream & | os | ) | const

inline protected

References LASi::oPostscriptStream::doc(), and LASi::PostscriptDocument::setFontSize().

## Friends And Related Function Documentation

## operator<<

oPostscriptStream& operator<< | ( | oPostscriptStream & | os,
|  | const setFontSize & | x
| ) |  |

friend

Stream inserter for 'setFontSize' stream manipulator.

The documentation for this class was generated from the following file:

- LASi.h